{% extends 'base.html' %}

{% block css %}
    <link rel="stylesheet" href="/static/lookup.css" />
    <style>
        {{ extended_css | safe }}   {# nosemgrep #}
    </style>
{% endblock %}

{% block page %}
<main>
    <div id="input-div">
        <input id="cidr" type="search" placeholder="{{ public_ip }}" name="cidr" form="main" formaction="/cidr" formmethod="get" />
    </div>
    <grid id="display-div">
        <div class="tab-box">
            <div class="tabs">
                <button id="formatted-tab" class="tab selected" onclick="openTab('formatted')">Formatted</button>
                <button id="jsondata-tab" class="tab" onclick="openTab('jsondata')">Raw JSON</button>
            </div>
            <div class="tab-content">
                <section id="formatted" class="side-box" style="">{% block sidebox %}{% endblock %}</section>
                <section id="jsondata" class="json-data" style="display:none">{{ jdata | safe }}</section>   {# nosemgrep #}
            </div>
        </div>
        <figure id="map" class="map"><figcaption style="display: none">Map</figcaption></figure>   {# nosemgrep #}
        <script>
            window.addEventListener('load', (event) => {
            var req = new XMLHttpRequest();
            req.open('GET', '{{ url_for(".individual_map", cidr=cidr) }}', false);  // nosemgrep
            req.send(null);
            if(req.status == 200) {
                var fig = document.getElementById("map");
                fig.innerHTML = req.responseText;
            }
        })
        </script>
    </grid>
</main>
<script>
    function openTab(tabName) {
        var i;
        var tabContent = document.querySelector(".tab-content");
        var tabButtons = document.querySelector(".tabs");
        for (i = 0; i < tabContent.children.length; i++) {
            tabContent.children[i].style.display = "none";
            tabButtons.children[i].classList.remove("selected");
            tabButtons.children[i].classList.add("tab");
        }
        document.getElementById(tabName+"-tab").classList.add("selected");
        document.getElementById(tabName+"-tab").classList.remove("tab")
        document.getElementById(tabName).style.display = "unset";
    }
</script>
{% endblock %}